com.sun.java.xml.ns.javaee

## Class SecurityConstraintType

- java.lang.Object
- - com.sun.java.xml.ns.javaee.SecurityConstraintType

-     public class SecurityConstraintType
      extends Object

  The security-constraintType is used to associate security constraints with one or more web resource collections Used in: web-app

  Java-Klasse für security-constraintType complex type.

  Das folgende Schemafragment gibt den erwarteten Content an, der in dieser Klasse enthalten ist.

       <complexType name="security-constraintType">
         <complexContent>
           <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
             <sequence>
               <element name="display-name" type="{http://java.sun.com/xml/ns/javaee}display-nameType" maxOccurs="unbounded" minOccurs="0"/>
               <element name="web-resource-collection" type="{http://java.sun.com/xml/ns/javaee}web-resource-collectionType" maxOccurs="unbounded"/>
               <element name="auth-constraint" type="{http://java.sun.com/xml/ns/javaee}auth-constraintType" minOccurs="0"/>
               <element name="user-data-constraint" type="{http://java.sun.com/xml/ns/javaee}user-data-constraintType" minOccurs="0"/>
             </sequence>
             <attribute name="id" type="{http://www.w3.org/2001/XMLSchema}ID" />
           </restriction>
         </complexContent>
       </complexType>

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected AuthConstraintType` | `authConstraint`
    `protected List<DisplayNameType>` | `displayName`
    `protected String` | `id`
    `protected UserDataConstraintType` | `userDataConstraint`
    `protected List<WebResourceCollectionType>` | `webResourceCollection`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `SecurityConstraintType()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `AuthConstraintType` | `getAuthConstraint()` Ruft den Wert der authConstraint-Eigenschaft ab.
    `List<DisplayNameType>` | `getDisplayName()` Gets the value of the displayName property.
    `String` | `getId()` Ruft den Wert der id-Eigenschaft ab.
    `UserDataConstraintType` | `getUserDataConstraint()` Ruft den Wert der userDataConstraint-Eigenschaft ab.
    `List<WebResourceCollectionType>` | `getWebResourceCollection()` Gets the value of the webResourceCollection property.
    `void` | `setAuthConstraint(AuthConstraintType value)` Legt den Wert der authConstraint-Eigenschaft fest.
    `void` | `setId(String value)` Legt den Wert der id-Eigenschaft fest.
    `void` | `setUserDataConstraint(UserDataConstraintType value)` Legt den Wert der userDataConstraint-Eigenschaft fest.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### displayName

          protected List<DisplayNameType> displayName

    - #### webResourceCollection

          protected List<WebResourceCollectionType> webResourceCollection

    - #### authConstraint

          protected AuthConstraintType authConstraint

    - #### userDataConstraint

          protected UserDataConstraintType userDataConstraint

    - #### id

          protected String id

  - ### Constructor Detail

    - #### SecurityConstraintType

          public SecurityConstraintType()

  - ### Method Detail

    - #### getDisplayName

          public List<DisplayNameType> getDisplayName()

      Gets the value of the displayName property.

      This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the displayName property.

      For example, to add a new item, do as follows:

              getDisplayName().add(newItem);

      Objects of the following type(s) are allowed in the list `DisplayNameType`

    - #### getWebResourceCollection

          public List<WebResourceCollectionType> getWebResourceCollection()

      Gets the value of the webResourceCollection property.

      This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the webResourceCollection property.

      For example, to add a new item, do as follows:

              getWebResourceCollection().add(newItem);

      Objects of the following type(s) are allowed in the list `WebResourceCollectionType`

    - #### getAuthConstraint

          public AuthConstraintType getAuthConstraint()

      Ruft den Wert der authConstraint-Eigenschaft ab.
      Returns:
        possible object is `AuthConstraintType`

    - #### setAuthConstraint

          public void setAuthConstraint(AuthConstraintType value)

      Legt den Wert der authConstraint-Eigenschaft fest.
      Parameters:
        `value` - allowed object is `AuthConstraintType`

    - #### getUserDataConstraint

          public UserDataConstraintType getUserDataConstraint()

      Ruft den Wert der userDataConstraint-Eigenschaft ab.
      Returns:
        possible object is `UserDataConstraintType`

    - #### setUserDataConstraint

          public void setUserDataConstraint(UserDataConstraintType value)

      Legt den Wert der userDataConstraint-Eigenschaft fest.
      Parameters:
        `value` - allowed object is `UserDataConstraintType`

    - #### getId

          public String getId()

      Ruft den Wert der id-Eigenschaft ab.
      Returns:
        possible object is `String`

    - #### setId

          public void setId(String value)

      Legt den Wert der id-Eigenschaft fest.
      Parameters:
        `value` - allowed object is `String`

Copyright © 2015 buschmais GbR. All rights reserved.